org.eclipse.viatra.query.runtime.rete.util

## Class ReteHintOptions

- java.lang.Object
- - org.eclipse.viatra.query.runtime.rete.util.ReteHintOptions

-     public final class ReteHintOptions
      extends java.lang.Object

  Provides key objects (of type `QueryHintOption`) for `QueryEvaluationHint`s.
  Since:
    1.5

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QueryHintOption<java.lang.Boolean>` | `cacheOutputOfEvaluatorsByDefault`
    `static QueryHintOption<java.lang.Boolean>` | `checkScopeBoundaries` Deprecated. Use the base index option `DANGLING_FREE_ASSUMPTION_DEFAULT` instead.
    `static QueryHintOption<java.lang.Boolean>` | `deleteRederiveEvaluation`
    `static QueryHintOption<java.lang.Boolean>` | `expandWeakenedAlternativeConstraints` This hint allows the query planner to take advantage of "weakened alternative" suggestions of the meta context.
    `static QueryHintOption<java.lang.Boolean>` | `prioritizeConstantFiltering`
    `static QueryHintOption<java.lang.Boolean>` | `useDiscriminatorDispatchersForConstantFiltering`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReteHintOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### useDiscriminatorDispatchersForConstantFiltering

          public static final QueryHintOption<java.lang.Boolean> useDiscriminatorDispatchersForConstantFiltering

    - #### prioritizeConstantFiltering

          public static final QueryHintOption<java.lang.Boolean> prioritizeConstantFiltering

    - #### cacheOutputOfEvaluatorsByDefault

          public static final QueryHintOption<java.lang.Boolean> cacheOutputOfEvaluatorsByDefault

    - #### deleteRederiveEvaluation

          public static final QueryHintOption<java.lang.Boolean> deleteRederiveEvaluation

      Since:
        1.6

    - #### checkScopeBoundaries

          public static final QueryHintOption<java.lang.Boolean> checkScopeBoundaries

      Deprecated. Use the base index option `DANGLING_FREE_ASSUMPTION_DEFAULT` instead.
      This hint disallows the Rete network to remove type checks that can be inferred from other constraints but might leave the model scope. In general, this might result in larger Rete networks, but can avoid hard to debug issues. Was related to the dangling edges issue http://bugs.eclipse.org/512752, but is now entirely ignored.
      Since:
        1.6

    - #### expandWeakenedAlternativeConstraints

          public static final QueryHintOption<java.lang.Boolean> expandWeakenedAlternativeConstraints

      This hint allows the query planner to take advantage of "weakened alternative" suggestions of the meta context. For instance, enumerable unary type constraints may be substituted with a simple type filtering where sufficient.
      Since:
        1.6

  - ### Constructor Detail

    - #### ReteHintOptions

          public ReteHintOptions()